/**
 * output package name
 */
package com.kingdee.eas.custom.integration.base.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class UserMappingFieldEnum extends StringEnum
{
    public static final String PERSON_NUMBER_VALUE = "PERSON_NUMBER";//alias=Ή€ΊΕ
    public static final String USER_NUMBER_VALUE = "USER_NUMBER";//alias=ΥΛΊΕ

    public static final UserMappingFieldEnum PERSON_NUMBER = new UserMappingFieldEnum("PERSON_NUMBER", PERSON_NUMBER_VALUE);
    public static final UserMappingFieldEnum USER_NUMBER = new UserMappingFieldEnum("USER_NUMBER", USER_NUMBER_VALUE);

    /**
     * construct function
     * @param String userMappingFieldEnum
     */
    private UserMappingFieldEnum(String name, String userMappingFieldEnum)
    {
        super(name, userMappingFieldEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static UserMappingFieldEnum getEnum(String userMappingFieldEnum)
    {
        return (UserMappingFieldEnum)getEnum(UserMappingFieldEnum.class, userMappingFieldEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(UserMappingFieldEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(UserMappingFieldEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(UserMappingFieldEnum.class);
    }
}